[DDC-1453] YamlDriver calls Yaml::parse(), but only Yaml::load() exists Created: 25/Oct/11  Updated: 25/Oct/11  Resolved: 25/Oct/11

Status: Resolved
Project: Doctrine 2 - ORM
Component/s: Mapping Drivers
Affects Version/s: 2.2
Fix Version/s: None
Security Level: All

Type: Bug Priority: Blocker
Reporter: Karsten Dambekalns Assignee: Benjamin Eberlei
Resolution: Invalid Votes: 0
Labels: None


 Description   

As the subject says, this cannot work. Reported to me through http://forge.typo3.org/issues/31212. Looking at https://github.com/fabpot/yaml/blame/master/lib/sfYaml.php it even seems there never was a parse() method.



 Comments   
Comment by Benjamin Eberlei [ 25/Oct/11 ]

You are using the oldest possible version of YAML component, please use the right one: https://github.com/symfony/yaml

Comment by Karsten Dambekalns [ 25/Oct/11 ]

Heh, why on earth is the one we use then showing a last update in June 2011? I think all this forking on github is confusing... :/

Anyway, thanks for the pointer!

PS: source of the confusion is http://components.symfony-project.org/yaml/installation, which points to https://github.com/fabpot/yaml

Generated at Fri Oct 31 05:10:28 UTC 2014 using JIRA 6.2.3#6260-sha1:63ef1d6dac3f4f4d7db4c1effd405ba38ccdc558.